Bug 189035 - [PATCH] security/rubygem-net-ssh-multi: update to 1.2.0
Summary: [PATCH] security/rubygem-net-ssh-multi: update to 1.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-26 19:50 UTC by Po-Chuan Hsieh
Modified: 2014-05-12 17:50 UTC (History)
1 user (show)

See Also:


Attachments
rubygem-net-ssh-multi-1.2.0.patch (1.22 KB, patch)
2014-04-26 19:50 UTC, Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Po-Chuan Hsieh freebsd_committer 2014-04-26 19:50:00 UTC
- Update to 1.2.0
- Add LICENSE

Changes:	https://github.com/net-ssh/net-ssh-multi/blob/master/CHANGES.txt

Port maintainer (renchap@cocoa-x.com) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: update, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-26 19:50:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

ruby@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-04-26 19:50:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2014-04-26 19:50:10 UTC
Maintainer of security/rubygem-net-ssh-multi,

Please note that PR ports/189035 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/189035

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 Po-Chuan Hsieh freebsd_committer 2014-04-26 20:19:08 UTC
Responsible Changed
From-To: ruby->sunpoet

I'll take it.
Comment 5 dfilter service freebsd_committer 2014-05-12 17:40:10 UTC
Author: sunpoet
Date: Mon May 12 16:40:01 2014
New Revision: 353873
URL: http://svnweb.freebsd.org/changeset/ports/353873
QAT: https://qat.redports.org/buildarchive/r353873/

Log:
  - Update to 1.2.0
  - Add LICENSE
  
  Changes:	https://github.com/net-ssh/net-ssh-multi/blob/master/CHANGES.txt
  PR:		ports/189035
  Submitted by:	sunpoet (myself)
  Approved by:	maintainer (timeout, 15 days)

Modified:
  head/security/rubygem-net-ssh-multi/Makefile
  head/security/rubygem-net-ssh-multi/distinfo

Modified: head/security/rubygem-net-ssh-multi/Makefile
==============================================================================
--- head/security/rubygem-net-ssh-multi/Makefile	Mon May 12 16:39:18 2014	(r353872)
+++ head/security/rubygem-net-ssh-multi/Makefile	Mon May 12 16:40:01 2014	(r353873)
@@ -2,15 +2,17 @@
 # $FreeBSD$
 
 PORTNAME=	net-ssh-multi
-PORTVERSION=	1.1
+PORTVERSION=	1.2.0
 CATEGORIES=	security rubygems
 MASTER_SITES=	RG
 
 MAINTAINER=	renchap@cocoa-x.com
 COMMENT=	SSH connection multiplexing library for Ruby
 
-RUN_DEPENDS=	rubygem-net-ssh>=2.1.4:${PORTSDIR}/security/rubygem-net-ssh \
-		rubygem-net-ssh-gateway>=0.99.0:${PORTSDIR}/security/rubygem-net-ssh-gateway
+LICENSE=	MIT
+
+RUN_DEPENDS=	rubygem-net-ssh>=2.6.5:${PORTSDIR}/security/rubygem-net-ssh \
+		rubygem-net-ssh-gateway>=1.2.0:${PORTSDIR}/security/rubygem-net-ssh-gateway
 
 USE_RUBY=	yes
 USE_RUBYGEMS=	yes

Modified: head/security/rubygem-net-ssh-multi/distinfo
==============================================================================
--- head/security/rubygem-net-ssh-multi/distinfo	Mon May 12 16:39:18 2014	(r353872)
+++ head/security/rubygem-net-ssh-multi/distinfo	Mon May 12 16:40:01 2014	(r353873)
@@ -1,2 +1,2 @@
-SHA256 (rubygem/net-ssh-multi-1.1.gem) = 154fff57310acf868348f04e9e84eb5592369d4e18674301bf6a83b80c9f85a1
-SIZE (rubygem/net-ssh-multi-1.1.gem) = 27136
+SHA256 (rubygem/net-ssh-multi-1.2.0.gem) = b079a271e3e5ed569d80689adcf56dad24a5e99a2eb242b9f90322a608114724
+SIZE (rubygem/net-ssh-multi-1.2.0.gem) = 32768
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Po-Chuan Hsieh freebsd_committer 2014-05-12 17:40:16 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!